Package org.linphone.core

# Enum Class GlobalState

java.lang.Object
java.lang.Enum<GlobalState>
org.linphone.core.GlobalState

All Implemented Interfaces:
  `Serializable`, `Comparable<GlobalState>`, `Constable`

public enum GlobalState extends Enum<GlobalState>
Describes the global state of the `Core` object.
It is notified via the global_state_changed() callback in `CoreListener`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Configuring`
Transient state between Startup and On if there is a remote provisionning URI
configured.
`Off`
State in which we're in after `Core.stop()`.
`On`
Indicates `Core` has been started and is up and running.
`Ready`
`Core` state after being created by linphone_factory_create_core,
generally followed by a call to `Core.start()`
`Shutdown`
Transient state for when we call `Core.stop()`
`Startup`
Transient state for when we call `Core.start()`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static GlobalState`
`fromInt(int value)`
`protected static GlobalState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(GlobalState[] values)`
`static GlobalState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GlobalState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Off

public static final GlobalState Off
State in which we're in after `Core.stop()`.
Do not call any method while in this state except for `Core.start()`

### Startup

public static final GlobalState Startup
Transient state for when we call `Core.start()`

### On

public static final GlobalState On
Indicates `Core` has been started and is up and running.

### Shutdown

public static final GlobalState Shutdown
Transient state for when we call `Core.stop()`

### Configuring

public static final GlobalState Configuring
Transient state between Startup and On if there is a remote provisionning URI
configured.

### Ready

public static final GlobalState Ready
`Core` state after being created by linphone_factory_create_core,
generally followed by a call to `Core.start()`

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static GlobalState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GlobalState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static GlobalState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static GlobalState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(GlobalState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()